Page MenuHomePhabricator

[SDOC] There is no link to Wikidata item in depicts: when there is no label in the currently used language
Closed, ResolvedPublic

Description

I use Commons with my interface set to English.

I added a depict statement to File:Dampfwäscherei Südbahnhotel, Semmering - 2016.jpg, pointing to Q38622106. This item has no English label.

The Q-item is displayed on the left, unlinked.

If I switch the interface to German, then the German label is displayed (on the left) with the linked Q-item on the right

Acceptance criteria:

Event Timeline

JeanFred created this task.Apr 23 2019, 5:12 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 23 2019, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Abit awarded a token.Apr 23 2019, 5:27 PM
Ramsey-WMF assigned this task to Ha78na.Apr 23 2019, 6:06 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Assigning to Hana for now so she doesn't get left out of all the fun :)

JeanFred renamed this task from [SDOC] There is no link to Wikidata item in depicts: when there is no lable in the currently used language to [SDOC] There is no link to Wikidata item in depicts: when there is no label in the currently used language.Apr 23 2019, 9:42 PM

Change 506020 had a related patch set uploaded (by Ha78na; owner: Ha78na):
[mediawiki/extensions/WikibaseMediaInfo@master] [WIP] Use wikibase language fallback rather than specifying lang in the wbformatvalue request

https://gerrit.wikimedia.org/r/506020

Change 506123 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/Wikibase@master] Use isKnown instead of exists to determine formatting entity as non-existing

https://gerrit.wikimedia.org/r/506123

Blocked by https://gerrit.wikimedia.org/r/506123 (Requires wikibase team to merge)

Ha78na added a subscriber: matthiasmullie.

Assigning to @matthiasmullie since he wrote the patch to wb we are waiting on.

Ha78na reassigned this task from Ha78na to matthiasmullie.Apr 29 2019, 3:12 PM
Ha78na added a subscriber: Ha78na.

Change 506020 abandoned by Ha78na:
[WIP] Use wikibase language fallback rather than specifying lang in the wbformatvalue request

https://gerrit.wikimedia.org/r/506020

Yann added a subscriber: Yann.May 3 2019, 2:14 PM

Change 506123 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use isKnown instead of exists to determine formatting entity as non-existing

https://gerrit.wikimedia.org/r/506123

matthiasmullie closed this task as Resolved.May 9 2019, 11:45 AM